/************************************************************************/
/* gtc_test.c - GPL Telescope Control Library Test Plugin Source	*/
/************************************************************************/
/*
 *  (c) 2004 Todd Shadburn
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
/************************************************************************/


#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <errno.h>


#include <gtc/gtc_p.h>
#include <gtc/gtcdef.h>


#define	GTC_NAME	"GTC Test"
#define	GTC_VERSION	"0.0.1"
#define	GTC_AUTHOR	"Todd Shadburn"


/* Callback function prototypes */
int test_scope_connect (GtcScope *gs, char *device);
int test_scope_close (GtcScope *gs);


int module_load (GtcModuleInfo *gmi)
{
	/* NULL all callbacks */
	memset (gmi->vector, 0, sizeof (GtcVector));
	/* set the implemented callbacks */
	gmi->vector->scope_connect = test_scope_connect;
	gmi->vector->scope_close = test_scope_close;
	/* set the module information */
	gmi->name = GTC_NAME;
	gmi->version = GTC_VERSION;
	gmi->author = GTC_AUTHOR;
	return 0;
}


int module_unload (GtcModuleInfo *gmi)
{
	/* NULL all callbacks */
	memset (gmi->vector, 0, sizeof (GtcVector));
	gmi->name = NULL;
	gmi->version = NULL;
	gmi->author = NULL;
	return 0;
}


int test_scope_connect (GtcScope *gs, char *device)
{
	/* don't really do much! */
	gs->data = device;
	return 0;
}


int test_scope_close (GtcScope *gs)
{
	/* don't really do much! */
	gs->data = NULL;
	return 0;
}


